Uptimely

Who is on call now

GET
/v1/on-call/current

Returns the live-computed current and next roster user for every on-call schedule in the project.

Authorization

bearerAuth
AuthorizationBearer <token>

An uptimely_live_ project API key (Settings → API Keys).

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/on-call/current"
{  "data": [    {      "schedule_id": "string",      "schedule_name": "string",      "description": "string",      "current_user": {        "id": "string",        "name": "string",        "email": "string"      },      "next_user": {        "id": "string",        "name": "string",        "email": "string"      },      "handoff_at": "2019-08-24T14:15:22Z",      "next_start_at": "2019-08-24T14:15:22Z"    }  ]}